WebAppImport REST API endpoint
Disclaimer: This endpoint documentation is generated from the latest Sitevision version. It might differ from the actual Sitevision environment where your website resides.
Use the RestApi utility of the Public API for server-side access of this endpoint.
WebAppImport
Import a WebApp archive to a custom module and remove an imported WebApp.
Applicable to: sv:customModule and sv:widgetCustomModule of the sv:addonRepository.
POST (MULTI-PART)
Upload and install a WebApp to a sv:customModule or a sv:widgetCustomModule.
Permissions
Requires the feature "webapp" and that the user is authorized to MANAGE_ADDONS or has DEVELOPER authorization.
Example URL
180.279747a5179461978078/webAppImport
Curl example
Example using "curl" to upload the archive "./webapp.zip" to the custom module "myModule" for site "www.intranet.com". The upload is performed by the "system" user.
curl --user system -X POST -H "Content-Type: multipart/form-data" -F "data=@./webapp.zip" https://www.intranet.com/rest-api/1/0/Intranet/Addon%20Repository/myModule/webAppImport
Example response
{
"id": "360.605cf571880f24240b34",
"type": "sv:webApp",
"name": "myWebapp-1.0.5",
"path": "/Intranet/WebApp Repository/myWebapp-1.0.5"
}
DELETE
Delete a WebApp of a sv:customModule or a sv:widgetCustomModule.
Note that the active WebApp of a custom module cannot be removed.
Permissions
Requires the feature "webapp" and that the user is authorized to MANAGE_ADDONS or has DEVELOPER authorization.
Example URL
180.279747a5179461978078/webAppImport/360.605cf571880f24240b34
Example response
{
"id": "360.605cf571880f24240b34",
"type": "sv:webApp",
"name": "myWebapp-1.0.5",
"path": "/Intranet/WebApp Repository/myWebapp-1.0.5"
}